Resource Center/Resource Pool/Auto-Scaling Group Operations
PUTAuto-Scaling Group OperationsSince 3.1.0SynchronousAuth Required
ChangeAutoScalingGroupState
ChangeAutoScalingGroupState
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Path Parameters
Request Inputs
Path Parameters
uuidStringRequiredThe resource UUID.
Body Fields
changeautoscalinggroupstateObjectRequiredchangeautoscalinggroupstate request body object.
stateEventStringRequiredWhether to enable or disable the auto scaling group.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
PUT/zstack/v1/autoscaling/groups/{uuid}/actions
/zstack/v1/autoscaling/groups/{uuid}/actions
Request Example
curl -X PUT 'http://{host}/zstack/v1/autoscaling/groups/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"changeautoscalinggroupstate":{"stateEvent":"<stateEvent>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{}Change History
This API has no change history records yet.
